<style>
  .loader {
    --size: 40px;
    width: var(--size);
    height: var(--size);
    box-sizing: border-box;
    /* Start width */
    --bs: 2px;
    /* End width */
    --be: calc(var(--size) * 0.4);
    border-radius: 50%;
    border: var(--bs) solid #666;
    animation: loading 3s forwards infinite ease-in-out;
  }

  @keyframes loading {
    0% {
      transform: rotate(0);
      border-left-width: var(--bs);
    }

    25% {
      border-left-width: var(--be);
    }

    50% {
      transform: rotate(360deg);
      border-left-width: var(--bs);
      border-right-width: var(--bs);
    }

    75% {
      border-right-width: var(--be);
    }

    100% {
      transform: rotate(720deg);
      border-right-width: var(--bs);
    }
  }
</style>

<div class="loader" />
